---
references:
- id: Anderson1987Generation
  accessed:
    - year: 2020
      month: 4
      day: 22
  author:
    - family: Anderson
      given: T. W.
    - family: Olkin
      given: I.
    - family: Underhill
      given: L. G.
  citation-key: Anderson1987Generation
  container-title: SIAM Journal on Scientific and Statistical Computing
  container-title-short: SIAM J. Sci. and Stat. Comput.
  DOI: 10.1137/0908055
  ISSN: 0196-5204
  issue: '4'
  issued:
    - year: 1987
      month: 7
      day: 1
  page: 625-629
  publisher: Society for Industrial and Applied Mathematics
  title: Generation of Random Orthogonal Matrices
  type: article-journal
  volume: '8'

- id: Arjovsky2016Unitary
  author:
    - family: Arjovsky
      given: Martin
    - family: Shah
      given: Amar
    - family: Bengio
      given: Yoshua
  citation-key: Arjovsky2016Unitary
  collection-title: ICML'16
  container-title: >-
    Proceedings of the 33rd International Conference on International Conference
    on Machine Learning - Volume 48
  event-place: New York, NY, USA
  event-title: International Conference on Machine Learning
  issued:
    - year: 2016
      month: 6
      day: 11
  language: en
  page: 1120-1128
  publisher: JMLR.org
  publisher-place: New York, NY, USA
  title: Unitary Evolution Recurrent Neural Networks
  type: paper-conference
  URL: http://arxiv.org/abs/1511.06464

- id: Bernstein2020Distance
  accessed:
    - year: 2025
      month: 5
      day: 22
  author:
    - family: Bernstein
      given: Jeremy
    - family: Vahdat
      given: Arash
    - family: Yue
      given: Yisong
    - family: Liu
      given: Ming-Yu
  citation-key: Bernstein2020Distance
  issued:
    - year: 2020
      month: 2
      day: 9
  language: en
  title: On the distance between two neural networks and the stability of learning
  type: article
  URL: https://arxiv.org/abs/2002.03432v3

- id: Bernstein2024Modular
  accessed:
    - year: 2025
      month: 5
      day: 22
  author:
    - family: Bernstein
      given: Jeremy
    - family: Newhouse
      given: Laker
  citation-key: Bernstein2024Modular
  issued:
    - year: 2024
      month: 10
      day: 28
  language: en
  title: Modular Duality in Deep Learning
  type: article
  URL: https://arxiv.org/abs/2410.21265v2

- id: Bernstein2024Old
  accessed:
    - year: 2025
      month: 5
      day: 22
  author:
    - family: Bernstein
      given: Jeremy
    - family: Newhouse
      given: Laker
  citation-key: Bernstein2024Old
  issued:
    - year: 2024
      month: 9
      day: 30
  language: en
  title: 'Old Optimizer, New Norm: An Anthology'
  type: report
  URL: https://arxiv.org/abs/2409.20325v2

- id: Bjorck1971Iterative
  accessed:
    - year: 2019
      month: 10
      day: 22
  author:
    - family: Björck
      given: Å.
    - family: Bowie
      given: C.
  citation-key: Bjorck1971Iterative
  container-title: SIAM Journal on Numerical Analysis
  container-title-short: SIAM J. Numer. Anal.
  DOI: 10.1137/0708036
  ISSN: 0036-1429
  issue: '2'
  issued:
    - year: 1971
      month: 6
      day: 1
  page: 358-364
  title: >-
    An Iterative Algorithm for Computing the Best Estimate of an Orthogonal
    Matrix
  type: article-journal
  volume: '8'

- id: Chou2023Robust
  accessed:
    - year: 2023
      month: 6
      day: 11
  author:
    - family: Chou
      given: Hung-Hsu
    - family: Rauhut
      given: Holger
    - family: Ward
      given: Rachel
  citation-key: Chou2023Robust
  DOI: 10.48550/arXiv.2305.05448
  issued:
    - year: 2023
      month: 5
      day: 9
  number: arXiv:2305.05448
  publisher: arXiv
  title: Robust Implicit Regularization via Weight Normalization
  type: article
  URL: http://arxiv.org/abs/2305.05448

- id: DeSena2015Efficient
  accessed:
    - year: 2015
      month: 11
      day: 11
  author:
    - family: De Sena
      given: Enzo
    - family: Haciihabiboglu
      given: Huseyin
    - family: Cvetkovic
      given: Zoran
    - family: Smith
      given: Julius O.
  citation-key: DeSena2015Efficient
  container-title: IEEE/ACM Transactions on Audio, Speech, and Language Processing
  DOI: 10.1109/TASLP.2015.2438547
  ISSN: 2329-9290, 2329-9304
  issue: '9'
  issued:
    - year: 2015
      month: 9
  page: 1478-1492
  title: Efficient Synthesis of Room Acoustics via Scattering Delay Networks
  type: article-journal
  URL: http://arxiv.org/abs/1502.05751
  volume: '23'

- id: Edelman2005Random
  accessed:
    - year: 2014
      month: 11
      day: 9
  author:
    - family: Edelman
      given: Alan
    - family: Rao
      given: N. Raj
  citation-key: Edelman2005Random
  container-title: Acta Numerica
  DOI: 10.1017/S0962492904000236
  ISSN: 0962-4929, 1474-0508
  issued:
    - year: 2005
      month: 5
  language: en
  page: 233-297
  publisher: Cambridge University Press
  title: Random matrix theory
  type: article-journal
  URL: http://web.eecs.umich.edu/~rajnrao/Acta05rmt.pdf
  volume: '14'

- id: Hasenclever2017Variational
  author:
    - family: Hasenclever
      given: Leonard
    - family: Tomczak
      given: Jakub M
    - family: Welling
      given: Max
  citation-key: Hasenclever2017Variational
  issued:
    - year: 2017
  language: en
  page: '4'
  title: Variational Inference with Orthogonal Normalizing Flows
  type: article-journal

- id: Hendekovic1974Parametrization
  accessed:
    - year: 2015
      month: 11
      day: 11
  author:
    - family: Hendeković
      given: J.
  citation-key: Hendekovic1974Parametrization
  container-title: Chemical Physics Letters
  container-title-short: Chemical Physics Letters
  DOI: 10.1016/0009-2614(74)80063-1
  ISSN: 0009-2614
  issue: '2'
  issued:
    - year: 1974
      month: 9
      day: 15
  page: 242-245
  title: >-
    On parametrization of orthogonal and unitary matrices with respect to their
    use in the description of molecules
  type: article-journal
  volume: '28'

- id: Jarlskog2005Recursive
  accessed:
    - year: 2015
      month: 11
      day: 11
  author:
    - family: Jarlskog
      given: C.
  citation-key: Jarlskog2005Recursive
  container-title: Journal of Mathematical Physics
  DOI: 10.1063/1.2038607
  ISSN: 0022-2488, 1089-7658
  issue: '10'
  issued:
    - year: 2005
      month: 10
      day: 1
  page: '103508'
  title: A recursive parametrization of unitary matrices
  type: article-journal
  URL: http://arxiv.org/abs/math-ph/0504049
  volume: '46'

- id: Jing2017Tunable
  author:
    - family: Jing
      given: Li
    - family: Shen
      given: Yichen
    - family: Dubcek
      given: Tena
    - family: Peurifoy
      given: John
    - family: Skirlo
      given: Scott
    - family: LeCun
      given: Yann
    - family: Tegmark
      given: Max
    - family: Soljačić
      given: Marin
  citation-key: Jing2017Tunable
  container-title: PMLR
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
      month: 7
      day: 17
  language: en
  page: 1733-1741
  title: >-
    Tunable Efficient Unitary Neural Networks (EUNN) and their application to
    RNNs
  type: paper-conference
  URL: http://proceedings.mlr.press/v70/jing17a.html

- id: Kovarik1970Iterative
  accessed:
    - year: 2019
      month: 10
      day: 22
  author:
    - family: Kovarik
      given: Zdislav.
  citation-key: Kovarik1970Iterative
  container-title: SIAM Journal on Numerical Analysis
  container-title-short: SIAM J. Numer. Anal.
  DOI: 10.1137/0707031
  ISSN: 0036-1429
  issue: '3'
  issued:
    - year: 1970
      month: 9
      day: 1
  page: 386-389
  title: Some Iterative Methods for Improving Orthonormality
  type: article-journal
  volume: '7'

- id: Large2024Scalable
  accessed:
    - year: 2025
      month: 5
      day: 22
  author:
    - family: Large
      given: Tim
    - family: Liu
      given: Yang
    - family: Huh
      given: Minyoung
    - family: Bahng
      given: Hyojin
    - family: Isola
      given: Phillip
    - family: Bernstein
      given: Jeremy
  citation-key: Large2024Scalable
  issued:
    - year: 2024
      month: 5
      day: 23
  language: en
  title: Scalable Optimization in the Modular Norm
  type: report
  URL: https://arxiv.org/abs/2405.14813v1

- id: Lee2019Scaling
  author:
    - family: Lee
      given: Hao-Chih
    - family: Danieletto
      given: Matteo
    - family: Miotto
      given: Riccardo
    - family: Cherng
      given: Sarah T.
    - family: Dudley
      given: Joel T.
  citation-key: Lee2019Scaling
  container-title: PACIFIC SYMPOSIUM ON BIOCOMPUTING 2020
  issued:
    - year: 2019
  page: 391–402
  publisher: World Scientific
  title: >-
    Scaling structural learning with NO-BEARS to infer causal transcriptome
    networks
  type: paper-conference

- id: Menzer2010Unitary
  author:
    - family: Menzer
      given: Fritz
    - family: Faller
      given: Christof
  citation-key: Menzer2010Unitary
  issued:
    - year: 2010
  title: Unitary Matrix Design for Diffuse Jot Reverberators
  type: article-journal
  URL: >-
    https://www.researchgate.net/publication/230757792_Unitary_Matrix_Design_for_Diffuse_Jot_Reverberators

- id: Mezzadri2007How
  author:
    - family: Mezzadri
      given: Francesco
  citation-key: Mezzadri2007How
  issue: '5'
  issued:
    - year: 2007
  language: en
  page: '13'
  title: How to Generate Random Matrices from the Classical Compact Groups
  type: article-journal
  volume: '54'

- id: Mhammedi2017Efficient
  author:
    - family: Mhammedi
      given: Zakaria
    - family: Hellicar
      given: Andrew
    - family: Rahman
      given: Ashfaqur
    - family: Bailey
      given: James
  citation-key: Mhammedi2017Efficient
  container-title: PMLR
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
      month: 7
      day: 17
  language: en
  page: 2401-2409
  title: >-
    Efficient Orthogonal Parametrisation of Recurrent Neural Networks Using
    Householder Reflections
  type: paper-conference
  URL: http://proceedings.mlr.press/v70/mhammedi17a.html

- id: Papamakarios2021Normalizing
  accessed:
    - year: 2020
      month: 9
      day: 10
  author:
    - family: Papamakarios
      given: George
    - family: Nalisnick
      given: Eric
    - family: Rezende
      given: Danilo Jimenez
    - family: Mohamed
      given: Shakir
    - family: Lakshminarayanan
      given: Balaji
  citation-key: Papamakarios2021Normalizing
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '57'
  issued:
    - year: 2021
  page: 1-64
  title: Normalizing Flows for Probabilistic Modeling and Inference
  type: article-journal
  URL: http://arxiv.org/abs/1912.02762
  volume: '22'

- id: Regalia1989Kronecker
  accessed:
    - year: 2015
      month: 11
      day: 11
  author:
    - family: Regalia
      given: P.
    - family: Sanjit
      given: M.
  citation-key: Regalia1989Kronecker
  container-title: SIAM Review
  container-title-short: SIAM Rev.
  DOI: 10.1137/1031127
  ISSN: 0036-1445
  issue: '4'
  issued:
    - year: 1989
      month: 12
      day: 1
  page: 586-613
  title: Kronecker Products, Unitary Matrices and Signal Processing Applications
  type: article-journal
  URL: http://faculty.cua.edu/regalia/regalia-perso_files/siam-review-dec-89.pdf
  volume: '31'

- id: Schroeder1961Colorless
  accessed:
    - year: 2014
      month: 7
      day: 4
  author:
    - family: Schroeder
      given: Manfred R.
    - family: Logan
      given: B.
  citation-key: Schroeder1961Colorless
  container-title: Audio, IRE Transactions on
  DOI: 10.1109/TAU.1961.1166351
  ISSN: 0096-1981
  issue: '6'
  issued:
    - year: 1961
  page: 209–214
  title: '"Colorless" artificial reverberation'
  type: article-journal
  volume: AU-9

- id: Schroeder1961Improved
  accessed:
    - year: 2014
      month: 7
      day: 4
  author:
    - family: Schroeder
      given: Manfred R.
  citation-key: Schroeder1961Improved
  container-title: The Journal of the Acoustical Society of America
  DOI: 10.1121/1.1908892
  ISSN: 0001-4966
  issue: '8'
  issued:
    - year: 1961
  page: 1061–1064
  title: Improved Quasi-Stereophony and “Colorless” Artificial Reverberation
  type: article-journal
  volume: '33'

- id: Tilma2002Generalized
  accessed:
    - year: 2015
      month: 11
      day: 11
  author:
    - family: Tilma
      given: Todd
    - family: Sudarshan
      given: E C G
  citation-key: Tilma2002Generalized
  container-title: 'Journal of Physics A: Mathematical and General'
  DOI: 10.1088/0305-4470/35/48/316
  ISSN: 0305-4470
  issue: '48'
  issued:
    - year: 2002
      month: 12
      day: 6
  page: 10467-10501
  title: Generalized Euler Angle Paramterization for SU(N)
  type: article-journal
  URL: http://arxiv.org/abs/math-ph/0205016
  volume: '35'

- id: Valimaki2012Fractional
  author:
    - family: Valimaki
      given: v.
    - family: Laakso
      given: T. I.
  citation-key: Valimaki2012Fractional
  container-title: 'Nonuniform Sampling: Theory and Practice'
  editor:
    - family: Marvasti
      given: Farokh
  ISBN: 978-1-4615-1229-5
  issued:
    - year: 2012
      month: 12
      day: 6
  language: en
  publisher: Springer Science & Business Media
  title: Fractional Delay Filters-Design and Applications
  type: chapter

- id: vandenBerg2018Sylvester
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Berg
      given: Rianne
      non-dropping-particle: van den
    - family: Hasenclever
      given: Leonard
    - family: Tomczak
      given: Jakub M.
    - family: Welling
      given: Max
  citation-key: vandenBerg2018Sylvester
  container-title: UAI18
  issued:
    - year: 2018
      month: 3
      day: 15
  title: Sylvester Normalizing Flows for Variational Inference
  type: paper-conference
  URL: http://arxiv.org/abs/1803.05649

- id: Yang2023Spectral
  accessed:
    - year: 2025
      month: 5
      day: 22
  author:
    - family: Yang
      given: Greg
    - family: Simon
      given: James B.
    - family: Bernstein
      given: Jeremy
  citation-key: Yang2023Spectral
  issued:
    - year: 2023
      month: 10
      day: 26
  language: en
  title: A Spectral Condition for Feature Learning
  type: article
  URL: https://arxiv.org/abs/2310.17813v2

- id: Zhu2020Efficient
  accessed:
    - year: 2022
      month: 10
      day: 1
  author:
    - family: Zhu
      given: Rong
    - family: Pfadler
      given: Andreas
    - family: Wu
      given: Ziniu
    - family: Han
      given: Yuxing
    - family: Yang
      given: Xiaoke
    - family: Ye
      given: Feng
    - family: Qian
      given: Zhenping
    - family: Zhou
      given: Jingren
    - family: Cui
      given: Bin
  citation-key: Zhu2020Efficient
  issued:
    - year: 2020
      month: 12
      day: 7
  language: en
  number: arXiv:2012.03540
  publisher: arXiv
  title: >-
    Efficient and Scalable Structure Learning for Bayesian Networks: Algorithms
    and Applications
  type: article
  URL: http://arxiv.org/abs/2012.03540
...
